<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title> &raquo; Markers</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="js/bootstrap.js" type="text/javascript"></script>
        <script src="js/template.js" type="text/javascript"></script>
        <script src="js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="img/favicon.ico"/>
        <link rel="apple-touch-icon" href="img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="namespaces/task_23.html">task_23</a></li>                                    <li><a href="namespaces/task_18.html">task_18</a></li>                                    <li><a href="namespaces/task_22.html">task_22</a></li>                                    <li><a href="namespaces/Composer.html">Composer</a></li>                                    <li><a href="namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="namespaces/Complex.html">Complex</a></li>                                    <li><a href="namespaces/Psr.html">Psr</a></li>                                    <li><a href="namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="namespaces/Samples.html">Samples</a></li>                                    <li><a href="namespaces/task_21.html">task_21</a></li>                                    <li><a href="namespaces/task_24.html">task_24</a></li>                                    <li><a href="namespaces/task_20.html">task_20</a></li>                                    <li><a href="namespaces/task_17.html">task_17</a></li>                                    <li><a href="namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <div class="row">
        <div class="span4">
            <ul class="side-nav nav nav-list">
                <li class="nav-header">Navigation</li>                    <li><a href="#vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Writer/Html.php"><i class="icon-file"></i>vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Writer/Html.php</a></li>                    <li><a href="#vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Writer/Xls/Worksheet.php"><i class="icon-file"></i>vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Writer/Xls/Worksheet.php</a></li>                    <li><a href="#vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Writer/Xls/Parser.php"><i class="icon-file"></i>vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Writer/Xls/Parser.php</a></li>                    <li><a href="#vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Writer/Xls/Workbook.php"><i class="icon-file"></i>vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Writer/Xls/Workbook.php</a></li>                    <li><a href="#vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Writer/Ods/Content.php"><i class="icon-file"></i>vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Writer/Ods/Content.php</a></li>                    <li><a href="#vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Calculation/Statistical.php"><i class="icon-file"></i>vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Calculation/Statistical.php</a></li>                    <li><a href="#vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Reader/Html.php"><i class="icon-file"></i>vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Reader/Html.php</a></li>                    <li><a href="#vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Reader/Xlsx.php"><i class="icon-file"></i>vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Reader/Xlsx.php</a></li>                    <li><a href="#vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Reader/Xls.php"><i class="icon-file"></i>vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Reader/Xls.php</a></li>                    <li><a href="#vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Reader/Ods.php"><i class="icon-file"></i>vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Reader/Ods.php</a></li>                    <li><a href="#vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Cell/DataValidator.php"><i class="icon-file"></i>vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Cell/DataValidator.php</a></li>                    <li><a href="#vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Cell/DataType.php"><i class="icon-file"></i>vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Cell/DataType.php</a></li>            </ul>
        </div>

        <div class="span8">

            <ul class="breadcrumb">
                <li><a href="?"><i class="icon-map-marker"></i></a><span class="divider">\</span></li>
                <li>Markers</li>
            </ul>
            <div id="marker-accordion">                        <div class="package-contents">
                            <a name="vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Writer/Html.php" id="vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Writer/Html.php"></a>
                            <h3>
                            <i class="icon-file"></i>vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Writer/Html.php
                                <span class="pull-right badge badge-info">1</span>
                            </h3>
                            <div>
                                <table class="table markers table-bordered">
                                    <tr>
                                        <th>Type</th>
                                        <th>Line</th>
                                        <th>Description</th>
                                    </tr>                                        <tr>
                                            <td>TODO</td>
                                            <td>1636</td>
                                            <td>Same for columns</td>
                                        </tr>                                </table>
                            </div>
                        </div>                        <div class="package-contents">
                            <a name="vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Writer/Xls/Worksheet.php" id="vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Writer/Xls/Worksheet.php"></a>
                            <h3>
                            <i class="icon-file"></i>vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Writer/Xls/Worksheet.php
                                <span class="pull-right badge badge-info">1</span>
                            </h3>
                            <div>
                                <table class="table markers table-bordered">
                                    <tr>
                                        <th>Type</th>
                                        <th>Line</th>
                                        <th>Description</th>
                                    </tr>                                        <tr>
                                            <td>FIXME</td>
                                            <td>1244</td>
                                            <td>!!!</td>
                                        </tr>                                </table>
                            </div>
                        </div>                        <div class="package-contents">
                            <a name="vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Writer/Xls/Parser.php" id="vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Writer/Xls/Parser.php"></a>
                            <h3>
                            <i class="icon-file"></i>vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Writer/Xls/Parser.php
                                <span class="pull-right badge badge-info">6</span>
                            </h3>
                            <div>
                                <table class="table markers table-bordered">
                                    <tr>
                                        <th>Type</th>
                                        <th>Line</th>
                                        <th>Description</th>
                                    </tr>                                        <tr>
                                            <td>TODO</td>
                                            <td>531</td>
                                            <td>use real error codes</td>
                                        </tr>                                        <tr>
                                            <td>TODO</td>
                                            <td>608</td>
                                            <td>possible class value 0,1,2 check Formula.pm</td>
                                        </tr>                                        <tr>
                                            <td>TODO</td>
                                            <td>613</td>
                                            <td>use real error codes</td>
                                        </tr>                                        <tr>
                                            <td>TODO</td>
                                            <td>629</td>
                                            <td>use real error codes</td>
                                        </tr>                                        <tr>
                                            <td>FIXME</td>
                                            <td>885</td>
                                            <td>maximum possible value for Excel 5 (change this!!!)</td>
                                        </tr>                                        <tr>
                                            <td>FIXME</td>
                                            <td>887</td>
                                            <td>this changes for BIFF8</td>
                                        </tr>                                </table>
                            </div>
                        </div>                        <div class="package-contents">
                            <a name="vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Writer/Xls/Workbook.php" id="vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Writer/Xls/Workbook.php"></a>
                            <h3>
                            <i class="icon-file"></i>vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Writer/Xls/Workbook.php
                                <span class="pull-right badge badge-info">1</span>
                            </h3>
                            <div>
                                <table class="table markers table-bordered">
                                    <tr>
                                        <th>Type</th>
                                        <th>Line</th>
                                        <th>Description</th>
                                    </tr>                                        <tr>
                                            <td>FIXME</td>
                                            <td>866</td>
                                            <td>only using internal SUPBOOK record</td>
                                        </tr>                                </table>
                            </div>
                        </div>                        <div class="package-contents">
                            <a name="vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Writer/Ods/Content.php" id="vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Writer/Ods/Content.php"></a>
                            <h3>
                            <i class="icon-file"></i>vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Writer/Ods/Content.php
                                <span class="pull-right badge badge-info">1</span>
                            </h3>
                            <div>
                                <table class="table markers table-bordered">
                                    <tr>
                                        <th>Type</th>
                                        <th>Line</th>
                                        <th>Description</th>
                                    </tr>                                        <tr>
                                            <td>TODO</td>
                                            <td>356</td>
                                            <td>:: To be implemented</td>
                                        </tr>                                </table>
                            </div>
                        </div>                        <div class="package-contents">
                            <a name="vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Calculation/Statistical.php" id="vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Calculation/Statistical.php"></a>
                            <h3>
                            <i class="icon-file"></i>vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Calculation/Statistical.php
                                <span class="pull-right badge badge-info">2</span>
                            </h3>
                            <div>
                                <table class="table markers table-bordered">
                                    <tr>
                                        <th>Type</th>
                                        <th>Line</th>
                                        <th>Description</th>
                                    </tr>                                        <tr>
                                            <td>TODO</td>
                                            <td>1303</td>
                                            <td>Warning. This implementation differs from the algorithm detailed on the MS
           web site in that $CumPGuessMinus1 = $CumPGuess - 1 rather than $CumPGuess - $PGuess
           This eliminates a potential endless loop error, but may have an adverse affect on the
           accuracy of the function (although all my tests have so far returned correct results).</td>
                                        </tr>                                        <tr>
                                            <td>TODO</td>
                                            <td>2101</td>
                                            <td>Try implementing P J Acklam&#039;s refinement algorithm for greater
           accuracy if I can get my head round the mathematics
           (as described at) http://home.online.no/~pjacklam/notes/invnorm/</td>
                                        </tr>                                </table>
                            </div>
                        </div>                        <div class="package-contents">
                            <a name="vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Reader/Html.php" id="vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Reader/Html.php"></a>
                            <h3>
                            <i class="icon-file"></i>vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Reader/Html.php
                                <span class="pull-right badge badge-info">2</span>
                            </h3>
                            <div>
                                <table class="table markers table-bordered">
                                    <tr>
                                        <th>Type</th>
                                        <th>Line</th>
                                        <th>Description</th>
                                    </tr>                                        <tr>
                                            <td>TODO</td>
                                            <td>288</td>
                                            <td></td>
                                        </tr>                                        <tr>
                                            <td>TODO</td>
                                            <td>311</td>
                                            <td></td>
                                        </tr>                                </table>
                            </div>
                        </div>                        <div class="package-contents">
                            <a name="vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Reader/Xlsx.php" id="vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Reader/Xlsx.php"></a>
                            <h3>
                            <i class="icon-file"></i>vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Reader/Xlsx.php
                                <span class="pull-right badge badge-info">1</span>
                            </h3>
                            <div>
                                <table class="table markers table-bordered">
                                    <tr>
                                        <th>Type</th>
                                        <th>Line</th>
                                        <th>Description</th>
                                    </tr>                                        <tr>
                                            <td>TODO</td>
                                            <td>1062</td>
                                            <td>Autoshapes from twoCellAnchors!</td>
                                        </tr>                                </table>
                            </div>
                        </div>                        <div class="package-contents">
                            <a name="vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Reader/Xls.php" id="vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Reader/Xls.php"></a>
                            <h3>
                            <i class="icon-file"></i>vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Reader/Xls.php
                                <span class="pull-right badge badge-info">8</span>
                            </h3>
                            <div>
                                <table class="table markers table-bordered">
                                    <tr>
                                        <th>Type</th>
                                        <th>Line</th>
                                        <th>Description</th>
                                    </tr>                                        <tr>
                                            <td>TODO</td>
                                            <td>1127</td>
                                            <td>Why is there no BSE Index? Is this a new Office Version? Password protected field?</td>
                                        </tr>                                        <tr>
                                            <td>FIXME</td>
                                            <td>1209</td>
                                            <td>what if sheetname contains comma?</td>
                                        </tr>                                        <tr>
                                            <td>FIXME</td>
                                            <td>1241</td>
                                            <td>what if sheetname contains comma?</td>
                                        </tr>                                        <tr>
                                            <td>TODO</td>
                                            <td>1288</td>
                                            <td>Provide support for named values</td>
                                        </tr>                                        <tr>
                                            <td>FIXME</td>
                                            <td>4403</td>
                                            <td>set $firstVisibleRow and $firstVisibleColumn</td>
                                        </tr>                                        <tr>
                                            <td>TODO</td>
                                            <td>5035</td>
                                            <td>Investigate structure for .xls SHEETLAYOUT record as saved by MS Office Excel 2007</td>
                                        </tr>                                        <tr>
                                            <td>TODO</td>
                                            <td>7332</td>
                                            <td>if cell range is just a single cell, should this funciton</td>
                                        </tr>                                        <tr>
                                            <td>TODO</td>
                                            <td>7510</td>
                                            <td>external sheet support</td>
                                        </tr>                                </table>
                            </div>
                        </div>                        <div class="package-contents">
                            <a name="vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Reader/Ods.php" id="vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Reader/Ods.php"></a>
                            <h3>
                            <i class="icon-file"></i>vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Reader/Ods.php
                                <span class="pull-right badge badge-info">1</span>
                            </h3>
                            <div>
                                <table class="table markers table-bordered">
                                    <tr>
                                        <th>Type</th>
                                        <th>Line</th>
                                        <th>Description</th>
                                    </tr>                                        <tr>
                                            <td>TODO</td>
                                            <td>352</td>
                                            <td>:: Figure this out. This is only a partial implementation I guess.</td>
                                        </tr>                                </table>
                            </div>
                        </div>                        <div class="package-contents">
                            <a name="vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Cell/DataValidator.php" id="vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Cell/DataValidator.php"></a>
                            <h3>
                            <i class="icon-file"></i>vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Cell/DataValidator.php
                                <span class="pull-right badge badge-info">1</span>
                            </h3>
                            <div>
                                <table class="table markers table-bordered">
                                    <tr>
                                        <th>Type</th>
                                        <th>Line</th>
                                        <th>Description</th>
                                    </tr>                                        <tr>
                                            <td>TODO</td>
                                            <td>34</td>
                                            <td>write check on all cases</td>
                                        </tr>                                </table>
                            </div>
                        </div>                        <div class="package-contents">
                            <a name="vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Cell/DataType.php" id="vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Cell/DataType.php"></a>
                            <h3>
                            <i class="icon-file"></i>vendor/phpoffice/phpspreadsheet/src/PhpSpreadsheet/Cell/DataType.php
                                <span class="pull-right badge badge-info">1</span>
                            </h3>
                            <div>
                                <table class="table markers table-bordered">
                                    <tr>
                                        <th>Type</th>
                                        <th>Line</th>
                                        <th>Description</th>
                                    </tr>                                        <tr>
                                            <td>TODO</td>
                                            <td>55</td>
                                            <td>Sanitize Rich-Text string (max. character count is 32,767)</td>
                                        </tr>                                </table>
                            </div>
                        </div>            </div>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:58 +0000.<br/>
    </footer></body>
</html>
